Bug 25628 - Не работает загрузка с логического раздела.
: Не работает загрузка с логического раздела.
Status: CLOSED FIXED
: Branch p6
(All bugs in Branch p6/grub2)
: не указана
: all Linux
: P3 major
Assigned To:
:
:
: distro-blocker
: 24617
: 23155
  Show dependency tree
 
Reported: 2011-05-18 22:26 by
Modified: 2011-07-03 21:06 (History)


Attachments
grub2 (776 bytes, application/x-gzip)
2011-05-19 22:08, Roman Savochenko
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-05-18 22:26:49
Опять проблемы с GRUB на разделе.
Установил последнюю бету на раздел /dev/sda9:
altlinux-6.0.0_beta-20110429-kdesktop-i586-ru-install-dvd5.iso
Успешно загрузился с GRUB2 на /dev/sda9
Обновил до сизифа.
Поставил последнее ядро std-def-2.6.38-alt4
Гружусь и вижу:
ALTLinux 6.0
GRUB 

И на этом всё!
------- Comment #1 From 2011-05-18 23:56:59 -------
Загрузитесь, пожалуйста, с Live и покажите содержимое /etc/sysconfig/grub2
установленной системы.
------- Comment #2 From 2011-05-19 05:26:52 -------
А если повторить эксперимент с std-undef или pure-emerald?
------- Comment #3 From 2011-05-19 22:08:16 -------
Created an attachment (id=4938) [details]
grub2

Файл: /etc/sysconfig/grub2
------- Comment #4 From 2011-05-20 10:56:41 -------
Попробуйте выполнить chroot в установленную систему и выполнить grub-install -f
/dev/sda9
Интересно загрузится ли система после этого.
------- Comment #5 From 2011-05-20 12:29:45 -------
(В ответ на комментарий №4)
> Попробуйте выполнить chroot в установленную систему и выполнить grub-install -f
> /dev/sda9
> Интересно загрузится ли система после этого.
Не загрузилась.

Поставил бета centaurus 20110517 на /dev/sda9.
Загрузился.
Обновился.
Переустановил ядро std-def и удалил el. 
Загрузилось нормально.

Будем считать что проблема была случайной и уже неактуальна.
------- Comment #6 From 2011-05-20 13:11:32 -------
Случайные проблемы хуже постоянных, их очень сложно отловить :(
------- Comment #7 From 2011-06-04 08:02:18 -------
Опять не ставится на логический раздел (/dev/sda9).
Теперь в: altlinux-6.0.0_beta20110530-kdesktop-x86_64-ru-install-dvd5.iso
Тут уже модно сообщает, в диалоге, о типовой ошибке brub при выполнении
установки без --force.
------- Comment #8 From 2011-06-04 08:52:22 -------
(В ответ на комментарий №7)
> Опять не ставится на логический раздел (/dev/sda9).
Вообще на разделы не ставится, проверено и для /dev/sda2.
------- Comment #9 From 2011-06-06 20:02:52 -------
alterator-grub-0.7-alt2 -> sisyphus:

* Mon Jun 06 2011 Vitaly Kuznetsov <vitty@altlinux> 0.7-alt2
- fix grub install into partition (ALT #25628)
------- Comment #10 From 2011-06-18 17:10:22 -------
(В ответ на комментарий №9)
> alterator-grub-0.7-alt2 -> sisyphus:

Попытка была, однако не исправлено.
altlinux-6.0.0_beta20110617-kdesktop-i586-ru-install-dvd5.iso
При установке загрузчика на /dev/sda9 получаю сообщение похожее на типовое с
опцией --force, однако со странным окончанием:
/usr/sbin/grub-setup: error : cannot read '/usr/grub/core.img' correctly.

Повторная попытка проходит, но загрузчик не работает.

Однако, хоть руками из chroot соседнего дистрибутива установилось корректно:
# grub-install --force /dev/sda9
------- Comment #11 From 2011-06-18 17:27:15 -------
Переношу на p6.
------- Comment #12 From 2011-06-18 17:34:23 -------
*** Bug 25769 has been marked as a duplicate of this bug. ***
------- Comment #13 From 2011-06-18 17:56:33 -------
(В ответ на комментарий №11)
> Переношу на p6.

То есть на Сизифе работает?
------- Comment #14 From 2011-06-18 18:10:14 -------
(В ответ на комментарий №13)
> То есть на Сизифе работает?
На последних бетах, собранных на Сизифе, работало.
------- Comment #15 From 2011-06-18 18:16:04 -------
(В ответ на комментарий №14)
> (В ответ на комментарий №13)
> > То есть на Сизифе работает?
> На последних бетах, собранных на Сизифе, работало.

Кем собранных? Вами? Когда? Версии ядра? Мы сейчас собираем беты только на p6.
В Сизифе и в p6 версии grub сейчас одинковы.
------- Comment #16 From 2011-06-18 18:40:27 -------
(В ответ на комментарий №15)
> (В ответ на комментарий №14)
> > (В ответ на комментарий №13)
> > > То есть на Сизифе работает?
> > На последних бетах, собранных на Сизифе, работало.
> 
> Кем собранных? Вами? Когда? Версии ядра? Мы сейчас собираем беты только на p6.
> В Сизифе и в p6 версии grub сейчас одинковы.
Не мной собранных. Брал отсюда:
ftp://beta.altlinux.com/centaurus/altlinux-6.0.0-20110531-centaurus-i586-ru-install-dvd5.iso

Я в курсе, что версии grub2 одинаковы, однако обёртки над ними были разные, раз
уже однажды работающее было вновь сломано. Здесь есть вся история
https://bugzilla.altlinux.org/show_bug.cgi?id=24617 вплоть до решения проблемы
к комментарию #21, что 2011-02-15 я подтвердил #35.
------- Comment #17 From 2011-06-18 18:48:23 -------
(В ответ на комментарий №16)
> (В ответ на комментарий №15)
> > (В ответ на комментарий №14)
> > > (В ответ на комментарий №13)
> > > > То есть на Сизифе работает?
> > > На последних бетах, собранных на Сизифе, работало.
> > 
> > Кем собранных? Вами? Когда? Версии ядра? Мы сейчас собираем беты только на p6.
> > В Сизифе и в p6 версии grub сейчас одинковы.
> Не мной собранных. Брал отсюда:
> ftp://beta.altlinux.com/centaurus/altlinux-6.0.0-20110531-centaurus-i586-ru-install-dvd5.iso
> 

О! Это уже на p6. Там работало, да?

> Я в курсе, что версии grub2 одинаковы, однако обёртки над ними были разные, раз
> уже однажды работающее было вновь сломано. Здесь есть вся история
> https://bugzilla.altlinux.org/show_bug.cgi?id=24617 вплоть до решения проблемы
> к комментарию #21, что 2011-02-15 я подтвердил #35.

Ok.
Если есть возможность, подтвердите багу на свежей версии centaurus.
------- Comment #18 From 2011-06-18 18:55:01 -------
(В ответ на комментарий №17)
> > > Кем собранных? Вами? Когда? Версии ядра? Мы сейчас собираем беты только на p6.
> > > В Сизифе и в p6 версии grub сейчас одинковы.
> > Не мной собранных. Брал отсюда:
> > ftp://beta.altlinux.com/centaurus/altlinux-6.0.0-20110531-centaurus-i586-ru-install-dvd5.iso
> > 
> 
> О! Это уже на p6. Там работало, да?
Не могу сказать точно, что именно от 20110531, но точно в мае.

> > https://bugzilla.altlinux.org/show_bug.cgi?id=24617 вплоть до решения проблемы
> > к комментарию #21, что 2011-02-15 я подтвердил #35.
> 
> Ok.
> Если есть возможность, подтвердите багу на свежей версии centaurus.
Завтра попробую версии от 20110531 и 20110616.
------- Comment #19 From 2011-06-19 08:49:38 -------
altlinux-6.0.0_beta20110616-centaurus-i586-ru-install-dvd5.iso
Таже проблема.

altlinux-6.0.0-20110531-centaurus-i586-ru-install-dvd5.iso
Нет --force

Значит рабочая версия была между мартом и апрелем.
------- Comment #20 From 2011-06-20 22:59:57 -------
Хорошо, что баг переоткрыли.

(In reply to comment #10)
> ...
> Попытка была, однако не исправлено.
> ...
> При установке загрузчика на /dev/sda9 получаю сообщение:
> ...
> /usr/sbin/grub-setup: error : cannot read '/usr/grub/core.img' correctly.
> ...

На собственных сборках минималки воспроизводится всё в точности.
Причем на сборке от 06.06.11 (бранч р6) установился со 2-й попытки и
заработал. Даже через grub1 (через chainloader +1) стартовал.
На сборке от 20.06.11 (р6) установился с 5-й попытки и не заработал
(grub2 не запускается, всё как у автора бага). Через grub1 - тоже нет.

Последняя удачная установка, которая сохранилась - это Гном3, установленный 
с liveCD (сборка aris@ от 21.05.11). Причем после обновления grub2,
alterator-grub
до версии из бранча р6 по состоянию на 20.06.11 продолжает нормально работать.
Странно всё это. И зачем от lilo отказались. ;)
------- Comment #21 From 2011-06-27 23:25:16 -------
(In reply to comment #20)
> > ...
> > /usr/sbin/grub-setup: error : cannot read '/usr/grub/core.img' correctly.
> > ...
> 
> На собственных сборках минималки воспроизводится всё в точности.

Сделал минималку на сизифе (27.06.11там alterator-grub_0.7-alt3...). Всё
повторяется. (Ядро std-def-2.6.39-alt2).
Вроде установился на раздел (или сделал вид что установился) раза с 6-8
(считать
надоело), но не стартует. Все симптмы уже описаны в предыдущих СС.
На MBR установку даже не стал пробовать (чтобы потом grub 1 не реанимировать
опять).
На разделе с Гномом 3 (проапгрейдил до сизифа) та же версия grub 2 и
alterator...
работают нормально. Повидимому установка на раздел получилась случайно. ;)
Не знаю что и думать. Правильно, blocker это.
------- Comment #22 From 2011-06-28 11:42:28 -------
Severity -> 'major' according to http://www.altlinux.org/BugSeverityPolicy
------- Comment #23 From 2011-06-28 17:40:18 -------
Проверьте, пожалуйста:
http://git.altlinux.org/tasks/index/sisyphus/done/49148/
------- Comment #24 From 2011-06-28 17:42:43 -------
Прошу прощения, там уже новый.
2vitty@: извините, что поспешил.
------- Comment #25 From 2011-06-28 17:43:49 -------
* Tue Jun 28 2011 Vitaly Kuznetsov <vitty@altlinux> 1.99-alt6                   
- increase probability of race winning during install on evms device            
  (ALT #25628) again
------- Comment #26 From 2011-06-28 21:03:09 -------
(In reply to comment #25)
> * Tue Jun 28 2011 Vitaly Kuznetsov <vitty@altlinux> 1.99-alt6                   
> - increase probability of race winning during install on evms device            
>   (ALT #25628) again

В сизифе пока ...-alt5 (20.50 MSK), как только доползёт - сразу проверю,
похоже уже завтра (или ночью, если доползёт). Сообщу немедленно,
если заработает - минималку выложу.

А пока - для сведения - сделал минималку на резервном зеркале
сизифа (09.05.2011 - случайно сохранилось), grub2-1.98 - alt24, 
alterator-grub-0.6-alt2. Всё работает, блин :) , на раздел сел сразу и
дист-апгрейд до сизифа (...-1.99-alt5) вполне пережил (ничего не
отвалилось). Теперь с Гномом3 всё понятно стало.
Что-то сломалось при смене версии до 1.99. Наверное Vitty@ знает
что. :)
------- Comment #27 From 2011-06-29 21:52:29 -------
(In reply to comment #26)
> ...
> если заработает - минималку выложу.
> ...

Похоже fixed. Всё нормально установилось.
Минималка тут:
ftp://ftp.linux.kiev.ua/pub/Linux/ALT/people/_anatoly/iso/

altlinux-p6-20110629-...iso
------- Comment #28 From 2011-07-03 21:06:14 -------
(В ответ на комментарий №27)
> (In reply to comment #26)
> Похоже fixed. Всё нормально установилось.
> Минималка тут:
> ftp://ftp.linux.kiev.ua/pub/Linux/ALT/people/_anatoly/iso/
> 
> altlinux-p6-20110629-...iso
Подтверждаю - установилось и загрузилось.